curl --request PATCH \
--url https://api.gcore.com/cloud/v1/faas/namespaces/{project_id}/{region_id}/{namespace_name}/functions/{function_name} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"autoscaling": {
"max_instances": 5,
"min_instances": 1
},
"code_text": "def main():\n return 'Hello World'",
"dependencies": "numpy==1.21.0\npandas==1.3.0",
"description": "This is a sample function.",
"disabled": false,
"enable_api_key": true,
"envs": {
"ENV_VAR": "value"
},
"flavor": "128m-128MB",
"keys": [
"key1",
"key2"
],
"main_method": "run",
"timeout": 60
}
EOFimport requests
url = "https://api.gcore.com/cloud/v1/faas/namespaces/{project_id}/{region_id}/{namespace_name}/functions/{function_name}"
payload = {
"autoscaling": {
"max_instances": 5,
"min_instances": 1
},
"code_text": "def main():
return 'Hello World'",
"dependencies": "numpy==1.21.0
pandas==1.3.0",
"description": "This is a sample function.",
"disabled": False,
"enable_api_key": True,
"envs": { "ENV_VAR": "value" },
"flavor": "128m-128MB",
"keys": ["key1", "key2"],
"main_method": "run",
"timeout": 60
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
autoscaling: {max_instances: 5, min_instances: 1},
code_text: 'def main():\n return \'Hello World\'',
dependencies: 'numpy==1.21.0\npandas==1.3.0',
description: 'This is a sample function.',
disabled: false,
enable_api_key: true,
envs: {ENV_VAR: 'value'},
flavor: '128m-128MB',
keys: ['key1', 'key2'],
main_method: 'run',
timeout: 60
})
};
fetch('https://api.gcore.com/cloud/v1/faas/namespaces/{project_id}/{region_id}/{namespace_name}/functions/{function_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Update function
Update the configuration of an existing function. Only specified fields will be modified.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
1
Region ID
1
Namespace name
^[a-z][-a-z0-9]{0,24}[a-z0-9]$"namespace-name"
Function name
^[a-z][-a-z0-9]{0,24}[a-z0-9]$"function-name"
Body
Autoscaling configuration for the function. Keys must be 'min_instances' or 'max_instances', and values must be integers between 0 and 50.
Show child attributes
Show child attributes
{ "max_instances": 5, "min_instances": 1 }
Function code text.
1 - 100000"def main():\n return 'Hello World'"
Dependencies for the function to install.
100000"numpy==1.21.0\npandas==1.3.0"
Description of the function.
255"This is a sample function."
Set to true if the function is disabled.
false
Enable or disable API key authentication. Enable api key is temporarily disabled. As a result, using Functions with authorization is currently not supported.
true
Environment variables for the function. Keys must match a specific regex pattern and be 1-255 characters long, and values must be 0-255 characters long.
Show child attributes
Show child attributes
{ "ENV_VAR": "value" }
The name of the flavor associated with the function.
"128m-128MB"
List of used authentication API keys, matching a specific regex pattern.
^[a-z][-a-z0-9]{0,24}[a-z0-9]$["key1", "key2"]
The main startup method name.
1 - 100"run"
Function timeout in seconds.
0 <= x <= 18060
Response
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?